<?php
/* --------------------------------------------------------------
   add_orders_indexes.php 2023-11-27
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2023 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

declare(strict_types=1);

/** @var DatabaseModel $this */
/** @var int $t_success */

if(!$this->indexExists('orders','INDEX',['customers_name'])) $t_success &= $this->set_index('orders','INDEX', ['customers_name'],'customers_name');
if(!$this->indexExists('orders','INDEX',['customers_firstname'])) $t_success &= $this->set_index('orders','INDEX', ['customers_firstname'],'customers_firstname');
if(!$this->indexExists('orders','INDEX',['customers_company'])) $t_success &= $this->set_index('orders','INDEX', ['customers_company'],'customers_company');
if(!$this->indexExists('orders','INDEX',['customers_lastname'])) $t_success &= $this->set_index('orders','INDEX', ['customers_lastname'],'customers_lastname');
if(!$this->indexExists('orders','INDEX',['customers_cid'])) $t_success &= $this->set_index('orders','INDEX', ['customers_cid'],'customers_cid');
if(!$this->indexExists('orders','INDEX',['customers_email_address'])) $t_success &= $this->set_index('orders','INDEX', ['customers_email_address'],'customers_email_addresss');